# Support< std::set< U > > Class Template Reference
[Miscellaneous constructs used by Vaucanson]

Support<set<U, T> > is a const adapter of std::map to container. More...

List of all members.

## Public Types

typedef std::set< U >::value_type | value_type
| The type of the values.

## Public Member Functions

| Support (const Support &)
| support<set<U, T> > is a const adapter of std::map to container.
bool | empty () const
| Whether it's empty.

## Detailed Description

### template<class U>
class vcsn::misc::Support< std::set< U > >

Support<set<U, T> > is a const adapter of std::map to container.

Definition at line 179 of file support.hh.